## ros-one-moveit-ros-benchmarks 1.1.16-49jammy.20251023.1611

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-49jammy.20251023.1611) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Thu, 23 Oct 2025 16:11:33 +0000

ros-one-moveit-ros-benchmarks (1.1.16-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.15-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.14-0jammy) jammy; urgency=high

  * Use boost::timer::progress_display if available (#3547 <https://github.com/ros-planning/moveit/issues/3547>)
  * Contributors: Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.13-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.12-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.11-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.10-0jammy) jammy; urgency=high

  * Fix namespace of planning plugin for benchmarks examples (#3128 <https://github.com/ros-planning/moveit/issues/3128>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Filter more invalid values in moveit_benchmark_statistics.py (#3084 <https://github.com/ros-planning/moveit/issues/3084>)
  * Contributors: Hugal31, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.9-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.8-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.7-0jammy) jammy; urgency=high

  * Provide ``MOVEIT_VERSION_CHECK`` macro (#2997 <https://github.com/ros-planning/moveit/issues/2997>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Fix predefined poses benchmark example (#2718 <https://github.com/ros-planning/moveit/issues/2718>)
  * Contributors: Captain Yoshi, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.3-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.1-0jammy) jammy; urgency=high

  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.0-0jammy) jammy; urgency=high

  * [feature] Benchmark combinations of predefined poses (#1548 <https://github.com/ros-planning/moveit/issues/1548>)
  * [feature] Support benchmarking of full planning pipelines (#1531 <https://github.com/ros-planning/moveit/issues/1531>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix plot details, correcting xlabels positions and cleaning the graph (#1658 <https://github.com/ros-planning/moveit/issues/1658>) (#1668 <https://github.com/ros-planning/moveit/issues/1668>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix usage of panda_moveit_config (#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Do not install helper scripts in global bin destination (#1704 <https://github.com/ros-planning/moveit/issues/1704>)
  * [maint] Cleanup launch + config files (#1631 <https://github.com/ros-planning/moveit/issues/1631>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Dave Coleman, Henning Kayser, Jonathan Binney, Mahmoud Ahmed Selim, Markus Vieth, Michael Görner, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.0.6-0jammy) jammy; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)

