=== debian/control ===
Source: ros-one-moveit-ros-benchmarks
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-ros-planning, ros-one-moveit-ros-warehouse, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp, ros-one-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-ros-benchmarks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-ros-planning, ros-one-moveit-ros-warehouse, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp, ros-one-tf2-eigen
Description: Enhanced tools for benchmarks in MoveIt
