## ros-one-moveit-ros-benchmarks 1.1.16-50jammy.20260128.2232

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-50jammy.20260128.2232) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 22:32:01 +0000
